"""flower URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.urls import path
from django.urls import include

# The next two - dev server only, not production.
from django.conf.urls.static import static
from django.conf import settings

if settings.FLOWER_APP == settings.FLOWER_APP_HUB:
    urlpatterns = [
        path('', include('flowerhub.urls')),
    ]

    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

if settings.FLOWER_APP == settings.FLOWER_APP_PETAL:
    urlpatterns = [
        path('', include('flowerpetal.urls')),
    ]

